Show / Hide Table of Contents

# Interface IDalamudHook

Interface describing a generic hook.

###### Namespace: Dalamud.Hooking

###### Assembly: Dalamud.dll

##### Syntax

    public interface IDalamudHook

### Properties

| Improve this Doc View Source

#### Address

Gets the address to hook.

##### Declaration

    IntPtr Address { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### IsDisposed

Gets a value indicating whether or not the hook is disposed.

##### Declaration

    bool IsDisposed { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsEnabled

Gets a value indicating whether or not the hook is enabled.

##### Declaration

    bool IsEnabled { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |